- name: Dev - Section CMAU - Estimated & Recorded Sum of Dev Section SMAU
  base_path: "/handbook/product/performance-indicators/"
  definition: A sum of all SMAUs across the three stages in the Dev Section (Manage,
    Plan, and Create) for All users and Paid users.
  target: FY22Q1 -- Section CMAU growth 4% MoM with a goal of 3.13M for Estimated CMAU & a goal of 775K for Estimated Paid CMAU
  org: Dev Section
  section: dev
  public: true
  pi_type: Section CMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - CMAU is fully instrumented
    - Dev Section recorded its highest Estimated CMAU at 3.04M!
    - Dev Section recorded its highest Estimated Paid CMAU at 754K!
    - All Dev Stages have now rebounded from holiday season drop
  implementation:
    status: Complete
    reasons:
    lessons:
      learned:
      - Dev Section recorded its highest Estimated CMAU at 3.04M!
      - Dev Section recorded its highest Estimated Paid CMAU at 754K!
      - All Dev Stages have now rebounded from holiday season drop
  monthly_focus:
    goals:
      - Work with Data team to better calculate "Estimated Self-Managed Uplift" to help balance out calculations
  metric_name: issues, action_monthly_active_users_project_repo, analytics_unique_visits_for_any_target
  sisense_data:
    chart: 9982128
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10138877
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 9992267
    dashboard: 758607
    embed: v2

- name: Manage, Manage:Optimize - SMAU, GMAU - MAU Viewing Analytics Features
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users viewing any <a href="https://docs.gitlab.com/ee/user/analytics/">Analytics page</a>.
  target: 116,050
  org: Dev Section
  section: dev
  stage: manage
  group: analytics
  public: true
  pi_type: SMAU, GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Insights - Growth in page views by SaaS users was relatively flat. This is not surprising because feature announcements for February were focused on the user availability feature. However, SaaS views of our key feature, Value Stream Analytics, continued to grow steadily with 12% growth at the group level, possibly attributable to the [13.10 announcement of UX improvements](https://about.gitlab.com/releases/2021/03/22/gitlab-13-10-released/#horizontal-navigation-for-value-stream-analytics).
    - Insights - There continues to be strong interest in Value Stream Analytics. Usage of the group-level feature is still low compared to the project-level feature, presumably because of the tier difference (available in Core at the project level and Premium at the group level). However, usage of the group-level feature continues to grow with an 11% increase in views by self-managed Premium and Ultimate customers from February to March.
    - Insights - MR Analytics page views continued to climb after the 13.9 announcement of the Mean Time to Merge metric with another 17% increase in views from self-managed Premium customers and 30% from Ultimate. In the previous PI review we announced that views of this page by Premium customers (self managed) increased 78% from December to February.
    - Improvements - The DevOps Adoption feature that was previously only available to self-managed admins is being added at the group level in 13.11, expanding availability to all Ultimate users.
    - SaaS data is not available for the paid SMAU chart due to [limitations of the redis counter that is used](https://gitlab.com/gitlab-data/analytics/-/issues/6603#note_484785813).
  implementation:
    status: Complete
  metric_name: analytics_total_unique_counts_monthly
  sisense_data:
    chart: 10039390
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10039413
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 10611090
    dashboard: 798616
    embed: v2

- name: Manage:Access - Paid GMAU - MAU Using Paid SAML
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users logging into GitLab using SAML SSO for Groups.
  target: 61000. See https://gitlab.com/gitlab-com/Product/-/issues/2258 for further detail.
  org: Dev Section
  section: dev
  stage: manage
  group: access
  public: true
  pi_type: Paid GMAU
  product_analytics_type: SaaS
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
     - Insights - We introduced the [Minimal Access role](https://gitlab.com/gitlab-org/gitlab/-/issues/220203) in 13.5 and option to [configure the default role](https://gitlab.com/gitlab-org/gitlab/-/issues/214523) for users added through SAML SSO or SCIM in 13.3. Our [data shows](https://app.periscopedata.com/app/gitlab/636494/Dev:-Manage:-Access-SAML-SSO-Usage?widget=11399929&udv=0) that half of SAML SSO group owners are changing the default role and Minimal Access is the second most commonly used role! This is further confirmation of customer apetite for improvements to Group SAML SSO and features that allow for more fine-grained authorization. 
     - Insights - I found that [less than half of the groups](https://app.periscopedata.com/app/gitlab/636494/Dev:-Manage:-Access-SAML-SSO-Usage?widget=11401535&udv=0) that have SAML SSO enabled are enforcing it. This means that while you can access a group through SSO, you are not required to have an active SAML SSO session and you can access the group through other authentication methods. Our documentation has been updated and I sent a message in Slack to the Customer Success team to reinforce that SAML SSO enforcement is a security best practice. In 13.12, we will start [enforcing SAML SSO by default for new groups](https://gitlab.com/gitlab-org/gitlab/-/issues/327020) that configure SAML. Enforcing SAML SSO was intially not the default behavior due to risk of accidental lockout due to a misconfiguration. In 13.8, we made a change to [always allow group owners into the group](https://gitlab.com/gitlab-org/gitlab/-/issues/211962) to mitigate this risk. After the default behavior is changed, I will re-measure to determine if not enforcing SAML SSO was a deliberate choice or customers were simply keeping the default option. 
     - Improvements - We now [enforce Group SAML SSO for Git activity](https://gitlab.com/gitlab-org/gitlab/-/issues/9152). This will provide the same level of protection to Git as the Web UI and been requested by several large customers and prospects.  
     - Improvements - Enterprise customers using SAML want to continue down the path of their IdP being the source of truth for GitLab authentication and authorization. Our long-term roadmap includes [enforcing SSO for API activity](https://gitlab.com/gitlab-org/gitlab/-/issues/297389), [disabling password authentication](https://gitlab.com/gitlab-org/gitlab/-/issues/300191) for users created by an external IdP and iterating on capabilities [to set user attributes using SAML](https://gitlab.com/gitlab-org/gitlab/-/issues/321940) to increase group isolation. 
  implementation:
    status: Complete 
    reasons:
  metric_name: user_auth_by_provider (Group_SAML)
  sisense_data:
    chart: 10039419
    dashboard: 758607
    embed: v2
- name: Manage:Compliance - Paid GMAU - MAU Viewing Compliance Features
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users viewing Audit Events, Compliance Dashboard,
    or Credential Inventory.
  target: 10% quarter-over-quarter
  org: Dev Section
  section: dev
  stage: manage
  group: compliance
  public: true
  pi_type: Paid GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 2
    reasons:
      - We're still [building out the compliance features](https://gitlab.com/gitlab-org/manage/compliance/general/-/issues/13) that are tracked by this metric so we expect trends may change in the future.
      - We are [biasing for action](https://about.gitlab.com/handbook/values/#bias-for-action) and setting a target with the information we have, rather than waiting. We expect this may need to be adjusted in the future.
  monthly_focus:
    goals:
      - Re-factoring of [audit events](https://gitlab.com/gitlab-org/gitlab/-/issues/255899) to prepare for [adding new events](https://about.gitlab.com/direction/manage/compliance/audit-events/#how-we-will-prioritize-adding-new-audit-events) in the future
      - We saw a large growth in self-managed users compared to .com users. This could be because more of our instance-specific features are getting adoption, from .com data integrity issues, or from something else. We will need to keep investigating.
  lessons:
    learned:
      - We have seen across-the-board growth this month in all our [individual metrics](https://app.periscopedata.com/app/gitlab/663045/Manage:-Compliance-Dashboard), which indicates teams are starting to evaluate or adopt our capabilities more.
      - We have repeatedly heard that actionability is important from users. They don't just want info, they want info they could use to make decisions.
  implementation:
    status: Complete 
    reasons:
      - Completed
  metric_name: i_compliance_audit_events, g_compliance_audit_events, g_compliance_dashboard, i_compliance_credential_inventory, usage_data_g_compliance_dashboard, usage_data_a_compliance_audit_events_api
  sisense_data:
    chart: 9980315
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10039422
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 10611094
    dashboard: 798616
    embed: v2
    
- name: Manage:Compliance - Other - Projects Marked with a Compliance Framework
  base_path: "/handbook/product/performance-indicators/"
  definition: New and cumulative number of projects using compliance frameworks.
  target: 10% quarter-over-quarter growth in new projects using compliance frameworks (SaaS and self-managed combined)
  org: Dev Section
  section: dev
  stage: manage
  group: compliance
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
      - In process
  lessons:
    learned:
      - We saw a 17% month-over-month growth in compliance framework labels usage.
      - From customer conversations we have learned that compliance framework labels are very appealing to users but they need functionality driven off of those labels, not just labeling.
  monthly_focus:
    goals:
      - We're continuing iteration on [compliance frameworks](https://gitlab.com/groups/gitlab-org/-/epics/4082) to give them more actionability and solve several standardization and enforcement problems for customers.
      - Since we will be releasing [custom compliance frameworks](https://gitlab.com/groups/gitlab-org/-/epics/3156) as well as [compliance pipelines](https://gitlab.com/groups/gitlab-org/-/epics/3156), we expect to see an even greater growth rate in the next few months.
  implementation:
    status: Complete
    reasons:
  metric_name: projects_with_compliance_framework
  sisense_data:
    chart: 9071082
    dashboard: 663045
    embed: v2

- name: Manage:Import - GMAU - MAU importing
  base_path: "/handbook/product/performance-indicators/"
  definition: A monthly count of the unique number of users performing an import
  target: TBD (expected in May)
  org: Dev Section
  section: dev
  stage: manage
  group: import
  public: true
  pi_type: GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - No target defined yet. I expect to be able to set the target in May, once the April data is available.
    - Insights - The overall increase in the number of new projects in March has also lifted the GMAU for Import. This indicates that the new projects include data being migrated from other platforms, which is a desirable outcome, given that projects that are seeded with user data have a higher likelihood of being "sticky".
    - Insights - It is encouraging that both the Saas and the Self-Managed instances are seeing this uplift, indicating that it is a true increase and not a case of one delivery platform cannibalizing the other. 
    - Improvement - Reducing friction for GitLab-to-GitLab migrations - The team is now focused on achieving [feature parity](https://gitlab.com/groups/gitlab-org/-/epics/4619) with the existing Group Export/Import, which will allow us to move all the users to the new import platform and deprecate the [Group Export/Import](https://docs.gitlab.com/ee/user/group/settings/import_export.html) feature. Once this feature is delivered, we expect to see a measurable improvement in Group migrations. 
    - SaaS data is not available for the paid GMAU chart due to [limitations of the redis counter used](https://gitlab.com/gitlab-data/analytics/-/issues/6603#note_484785813).
  implementation:
    status: Complete
    reasons:
    - Instrumentation has been [implemented](https://gitlab.com/gitlab-org/gitlab/-/issues/283175) in `13.9`. 
    - The charts are completed and data is available for February and March.
  metric_name: usage_activity_by_stage_monthly.manage.unique_users_all_imports
  sisense_data:
    chart: 10039162
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 11173918
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 11170816
    dashboard: 798616
    embed: v2

- name: Manage:Import - Other - Share of New Projects Imported
  base_path: "/handbook/product/performance-indicators/"
  definition: Share of projects created via import within 90 days of the namespace's
    creation.
  target: TBD - See Health section below for details
  org: Dev Section
  section: dev
  stage: manage
  group: import
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - No target defined yet.
    - Target will be defined once the dashboard shows both Saas and self-managed.
  implementation:
    status: Instrumentation
    reasons:
    - Instrumented for Saas.
    - Dashboard shows only Saas at this time.
    - Instrumentation for self-managed [pending](https://gitlab.com/gitlab-org/gitlab/-/issues/325900). Tentative target is `14.0`.
    - Dashboard will be updated with Self-Managed data, once instrumented.
    - Insight - The uplift in the number of new projects imported in this PI correlates to the uplift measured in the Import GMAU. This confirms that the increase in the number of unique users of Import has resulted in the increase of Import usage.
    - Insight - The corresponding increase in the percentage of projects imported (vs. blank project created) confirms that the new projects being added to GitLab.com are not just more users "kicking tires", but an actual uplift in high-value usage.
  metric_name: N/A 
  sisense_data:
    chart: 8584850
    dashboard: 661967
    embed: v2

- name: Plan, Plan:Project Management - SMAU, Paid GMAU - MAU Interacting With Issues
  base_path: "/handbook/product/performance-indicators/"
  definition: Number of unique users interacting with an issue (open, close, reopen,
    adjust label, adjust milestone, adjust weight, comment) 
  target: 484,510 for All, 148,176 for Paid 
  org: Dev Section
  section: dev
  stage: plan
  group: project_management
  public: true
  pi_type: SMAU, Paid GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  lessons:
    learned:
      - Only 39% of instances are currently on a version with the new Plan xMAU metric counters. 
      - March saw [2.2 net new Paid GMAU for every 1 churned Paid GMAU](https://app.periscopedata.com/app/gitlab/775807/Plan-xMAU-(monthly)?widget=10634701&udv=0), which is a decline of a full point from February. (Self-Managed Only)
      -  Starter EoL Impact - Net increase of 239 MAU (1.3%) from February to March for Starter on Self-Managed due to instances upgrading to `> 13.5`. This is a significant decline in growth which saw 10.7% increases from January to February. For SaaS, loss of 507 Starter MAU (-5.6%) from February to March. The blended growth rate for Premium and Ultimate across SaaS and Self-Managed was 11.6% from February to March, which was the lowest in the trailing three months with February averaging 15.2% and January 12.4%.
      - March saw a decline of 7.6% in overall instances reporting usage pings (39% down to 36%), which may correlate to perceived growth slowing down a bit in Plan. 
  monthly_focus:
    goals: 
      - Shift focus from [13.11 feature goals](https://gitlab.com/gitlab-org/plan/-/issues/278) to meet immediate performance needs for SaaS. This will likely carry on into 13.12 and beyond given sheer size of internal requests in our stage (`infradev` 5, `availability` 2, `performance-refinement` 10, `security` 52). The bulk of the Plan capabilities roadmap to drive xMAU now falls within the 8th, 9th and 11th positions on our [prioritization matrix](https://about.gitlab.com/handbook/product/product-processes/#prioritization). This is likely to significantly impact future MAU performance for Plan. 
      - Validate the feasibility of a "feature freeze" starting in 14.1 in order to fix long running instabilities and technical/product debt within our span of control, as well as increase our future throughput on executing on our longer term product strategy. 
      - Merge architectural blueprint for [consolidating Groups and Projects](https://gitlab.com/gitlab-org/architecture/tasks/-/issues/7) on the backend.
  health:
    level: 3
    reasons:
    - FY22 Q1 Goals - Currently at 103% attainment for All and 96% for Paid with one reporting period remaining in FY22 Q1. New targets will be set for FY22 Q2.
    - Driver - For Paid, continue high level progress on [achieving feature parity between an Instance, Group, and Project](https://gitlab.com/groups/gitlab-org/-/epics/2885), [making issues more extensible](https://gitlab.com/groups/gitlab-org/-/epics/3354), and continuing to make incremental progress on [iterations](https://gitlab.com/groups/gitlab-org/-/epics/2422).
    - Improvement - For All, work towards addressing the [problem areas](https://gitlab.com/groups/gitlab-org/-/epics/4104) that emerged out of the Category Maturity Scorecard exercise for Issue Tracking.
    - Improvement - For All, continue making progress on [quality of life improvements](https://gitlab.com/groups/gitlab-org/-/epics/3216) for existing features. 
  implementation:
    status: Complete
  metric_name: redis_hll_counters.issues_edit.issues_edit_total_unique_counts_monthly 
  sisense_data:
    chart: 9967544
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9980295
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 10611100
    dashboard: 798616
    embed: v2
  urls:
  - https://about.gitlab.com/direction/plan/issue_tracking/
  - https://app.periscopedata.com/app/gitlab/775807/Plan-xMAU-(monthly)

- name: Plan:Product Planning - Paid GMAU - MAU creating Epics each Month
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users creating Epics each month.
  target: 3,900 Combined Unique Users for Self Managed and SaaS
  org: Dev Section
  section: dev
  stage: plan
  group: product_planning
  public: true
  pi_type: Paid GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - March 2021 - 5333 GMAU goes well above the current target, and we continue to instrument all epic board interactions to set a new target
    - Insight - Crossed [100k cumulative epics created](https://app.periscopedata.com/app/gitlab/695426/WIP-MP-Portfolio-Management?widget=9058272&udv=0), with back-to-back months of 40% growth in February and March
    - Improvement - [Make it easier to add epics by defaulting project](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/56955) in 13.11
    - Improvement - [Epic Boards](https://gitlab.com/groups/gitlab-org/-/epics/2864) MVC 2 is planned to ship in 13.12 with a full roll out in 14.10 and should continue the trend into the end of FY21 by enabling Portfolio-level planning.  
  implementation:
    status: Complete
    reasons:
    - We consider our Epic Creation GMAU as "Complete". However, our next target will be set after a second instrumentation after 14.0 and epic boards release.
    - Currently working on instrumenting "all epic interactions" during 13.9 - 13.12.  [Instrumentation issue](https://gitlab.com/gitlab-org/gitlab/-/issues/292253) and [dasboard issue](https://gitlab.com/gitlab-data/analytics/-/issues/7885).
    - We have added instrumentation for [issue and epic boards](https://gitlab.com/gitlab-org/gitlab/-/issues/321853)
    - A new target will be selected when we have a baseline.
  metric_name: epics 
  sisense_data:
    chart: 9980303
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 10611105
    dashboard: 798616
    embed: v2
  urls:
    
- name: Plan:Certify - Paid GMAU - MAU Interacting with Requirements
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users interacting (create, view, reference) each
    month
  target: 2000 interactions
  org: Dev Section
  section: dev
  stage: plan
  group: product_planning
  public: true
  pi_type: Paid GMAU
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
    - Note - Data is currently showing those requirements with test reports (both manual and automated). Will work with the data team to sum with the navigation interactions.
    - Improvement - UX improvements for [Requirements Management](https://gitlab.com/groups/gitlab-org/-/epics/3708)
      based on completed research study, Requirement [Export MVC](https://gitlab.com/gitlab-org/gitlab/-/issues/290813).
    - Insight - Need to aggregate requirement creation + requirement interactions to get a true sense. However, improvements are shown across the board which is encouraging. 
  implementation:
    status: Dashboard
    reasons:
    - Dashboarding - Requirement Creation instrumented is complete. Tracking issue for gmau dashboard [here](https://gitlab.com/gitlab-data/analytics/-/issues/5270)
  metric_name: requirements_interactions
  sisense_data:
    chart: 11465457
    dashboard: 634539
    embed: v2
- name: Plan:Certify - Other - Number of Requirements Created Monthly
  base_path: "/handbook/product/performance-indicators/"
  definition: A monthly count of the number of requirements created.
  target: 1000 by end of March 2021
  org: Dev Section
  section: dev
  stage: plan
  group: product_planning
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Improvement - [Link Test Cases to Requirements](https://gitlab.com/groups/gitlab-org/-/epics/5171) planned for 14.0
    - Insight - Self-managed instances creating requirements continues to grow.   
  implementation:
    status: Dashboard
    reasons:
    - Dashboarding -  accurate instrumentation on Self Managed, still needs verification
      for SaaS - [issue](https://gitlab.com/gitlab-data/analytics/-/issues/5270)
  metric_name: requirements_created
  sisense_data:
    chart: 9666808
    dashboard: 634539
    embed: v2
  urls:
  - https://gitlab.com/gitlab-data/analytics/-/issues/5270

- name: Create - SMAU - Unique users writing to a Git repository
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of the number of unique users who performed any Git write operation within the last 28 days.
  target: |
    Our target growth rate is 3% higher than the previous month for SMAU, and 4% for Paid SMAU.
  org: Dev Section
  section: dev
  stage: Create
  public: true
  pi_type: SMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Observation - December 2020 SMAU is less than November 2020 SMAU. A
      similar drop can be observed in GMAU as well, suggesting a common cause.
      The cause is likely seasonality consistent with the end of year. For this
      reason January SMAU and GMAU is expected to return to November 2020
      levels and continue growing.
    - Insight - on the median GitLab instance, 33% of users perform a Git write
      operation each month
      ([source](https://app.periscopedata.com/app/gitlab/728380/WIP-Create-Stage-Dashboard?widget=10435358&udv=1100338)).
    - Insight - on the median Paid GitLab instance (self-managed), 50% of users
      perform a Git write operation each month
      ([source](https://app.periscopedata.com/app/gitlab/728380/WIP-Create-Stage-Dashboard?widget=10435361&udv=1100338)).
  implementation:
    status: Complete
    reasons:
    - Improvement - AMAU is currently over counted. A deduplicated counter was implemented
      [gitlab#234027](https://gitlab.com/gitlab-org/gitlab/-/issues/234027) in GitLab 13.6.
      The charts do not yet reflect the new counter
      [gitlab#291943](https://gitlab.com/gitlab-org/gitlab/-/issues/291943).
  metric_name: action_monthly_active_users_project_repo
  sisense_data:
    chart: 9967642
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9980442
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 10611068
    dashboard: 798616
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/728380/WIP-Create-Stage-Dashboard

- name: Create:Source Code - GMAU - Unique users writing to a project Git repository
  base_path: "/handbook/product/performance-indicators/"
  definition:
    A rolling count of the number of unique users who performed any Git write
    operation within the last 28 days.<br> <b>Why:</b> We want to ensure all the features in our group provide a great experience that ultimately will allow everyone to contribute more often. A great experience in SCM is a critical starting point for this.
  target: Our target growth rate is 3% higher than the previous month for SMAU, and 4% for Paid SMAU.<br> - Q1FY22 targets - 2.44M GMAU, 590k paid GMAU<br> - Q2FY22 targets - 2.67M GMAU, 644k paid GMAU<br> - Q3FY22 targets - 2.92M GMAU, 704k paid GMAU<br> - Q4FY22 targets - 3.19M GMAU, 769k paid GMAU
  org: Dev Section
  section: dev
  stage: create
  group: source_code
  public: true
  pi_type: GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Starting in [GitLab 13.6](https://gitlab.com/gitlab-org/gitlab/-/issues/234027)
      AMAU for this metric takes into consideration all repository types.
    - Insight - GMAU has increased avg of 7% MoM in FY22Q1 (against goal of 3%) compared to 3% MoM in FY20Q4.
    - Insight - Paid GMAU has increased avg of 5% MoM in FY22Q1 (against goal of 4%) compared to 2% in FY20Q4.
    - We continue to use this as the group's primary indicator. In order to align with our SaaS first and product depth direction, during FY22 we will also have an increased focus around [performance as our secondary PI](https://about.gitlab.com/handbook/product/dev-section-performance-indicators/#createsource-code-secondary---other---gitlabcom-performance-scores).
  implementation:
    status: Complete
    reasons:
    - Enabled on GitLab.com
    - Released for self-managed in GitLab 13.3
  metric_name: action_monthly_active_users_project_repo
  sisense_data:
    chart: 9967642
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9980442
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 10611068
    dashboard: 798616
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/728380/WIP-Create-Stage-Dashboard?widget=9520571&udv=0

- name: Create:Source Code Secondary - Other - GitLab.com performance scores
  base_path: "/handbook/product/performance-indicators/"
  definition: Performance of the top 3 backend services for Source Code (apdex), and its related frontend counterparts (LCP) showing improvememnts over time.<br> <b>Why:</b> Aligning with our SaaS first and product depth direction, we recognize the performance of GitLab.com is a large factor considered when evaluating GitLab. We firmly believe <a href="https://bdickason.com/posts/speed-is-the-killer-feature">speed is the killer feature</a> and as such will work to provide a speedy experience to set a great stage for new and existing users.
  target: TBD
  org: Dev Section
  section: dev
  stage: create
  group: source_code
  public: true
  pi_type: Other
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - Insight - total time taken to process [pull mirror operations](https://dashboards.gitlab.net/d/_MKRXrSmk/pull-mirrors?orgId=1&refresh=5s) has steadily increased. We will re-evaluate its implementation to enhance or refactor.
    - Insight - recent performance improvements have decreased LCP of commits view by ~20% 💪
    - We continue to investigate which are the most relevant measures to track and how to aggregate sensibly. We will measure apdex for the top 3 services used (BE) and LCP for its corresponding application pages (FE). This is currently WIP, see [investigation issue](https://gitlab.com/gitlab-org/gitlab/-/issues/327659).
  implementation:
    status: Instrumentation
    reasons:
    - The Create:Source Code group is investigating which of the many measures currently instrumented for GitLab.com are suitable for dual apdex and LCP Tracking. Once selection is complete we will work to bring into a single dashboard and set targets.
  urls:
  - https://gitlab.com/gitlab-org/gitlab/-/issues/327659
  - https://dashboards.gitlab.net/d/stage-groups-source_code/stage-groups-group-dashboard-create-source-code?orgId=1&from=1618343400000&to=1618365059999&var-PROMETHEUS_DS=Global&var-environment=gprd&var-stage=main&var-controller=All&var-action=All&viewPanel=12
  - https://dashboards.gitlab.net/d/stage-groups-source_code/stage-groups-group-dashboard-create-source-code?orgId=1

- name: Create:Code Review - Category MAU - Unique users using Merge Requests
  base_path: "/handbook/product/performance-indicators/"
  definition: This is defined as users who perform one or more of the following actions in
   a merge request - create, merge, or close a Merge Request.
  target: Our target growth rate is 3% higher than the previous month for SMAU, and 4% for Paid SMAU. 
  org: Dev Section
  section: dev
  stage: create
  group: code_review
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Target - This aligns with our current understanding that Code Review is about 50% of the MAU of the stage metric and continuing to maintain that difference.
    - Insight - Paid users of Code Review make up about one-third of total Code Review users - this provides an opportunity to convert to paid and increase users.
  implementation:
    status: Complete
    reasons:
    - Enabled on GitLab.com 2020-07-04
    - Enabled for self-managed on GitLab 13.2
    - Aggregated metrics for new AMAU tracking [implemented](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/53553) in %13.10, expect to start reporting around 14.0
  metric_name: merge_requests_users 
  sisense_data:
    chart: 10426645
    dashboard: 786738
    embed: v2
  sisense_data_secondary:
    chart: 10624715
    dashboard: 786738
    embed: v2
  sisense_data_tertiary:
    chart: 10751993
    dashboard: 798616
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/526749/Create---Code-Review-category-dashboard

- name: Create:Code Review - Other - Code Review/SCM Ratio by UMAU and Subscription Tier
  base_page: "/handbook/product/performance-indicators/"
  definition: 
  target: TBD - Primarily this metric is used for monitoring the relationship between SCM GMAU and Code Review GMAU to make sure it doesn't not fall out of alignment.
  org: Dev Section
  section: dev
  stage: create
  group: code_review
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - Target - this metric is primarily monitored to remain at a consistent level.
    - Insight - Paid Instances with 10+ users more closely track to 75% of SCM Users using Code Review
    - Insight - Free Instances and those with less than 10 users drive down the SCM<->Code Review Ratio as most have less than 50% adoption
  implementation:
    status: Complete
  metric_name: merge_requests_users
  sisense_data:
    chart: 10728688
    dashboard: 801102
    embed: v2
  sisense_data_secondary:
    chart: 10688270
    dashboard: 801102
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/801102/SCM-%3C%3E-Code-Review-%3C%3E-Verify
  - https://app.periscopedata.com/app/gitlab/801102/SCM-%3C%3E-Code-Review-%3C%3E-Verify?widget=10728688&udv=1218043

- name: Create:Code Review - Editor Extension (VS Code) - Category MAU
  base_path: "/handbook/product/performance-indicators/"
  definition: This is defined as users who use [GitLab Workflow](https://marketplace.visualstudio.com/items?itemName=GitLab.gitlab-workflow) for VS Code and make at least one API request to a GitLab instance.
  target: TBD
  org: Dev Section
  section: dev
  stage: create
  group: code_review
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
      - Improvement - [GitLab Workflow 3.17.0](https://gitlab.com/gitlab-org/gitlab-vscode-extension/-/blob/main/CHANGELOG.md#3170-2021-04-08) released with responding to threads in MR diffs and change type for files
      - Improvement - Averaging about 3 releases per month with 2 of those usually containing new features
      - Improvement - Cloning directly to VS Code released in main GitLab application
      - Insight - Early self-managed reporting trending upwards. Expect to see continued growth on the self-managed number as instances upgrade to >=13.9.
      - Insight - Lots of opportunity to continue to increase adoption for GitLab.com users based on current MAU compared to total SCM/Code Review users.
  implementation:
    status: Data Availability
    reasons:
      - Instrumentation in 13.9, comprehensive Category MAU not charts not available yet
  sisense_data:
    chart: 11101564
    dashboard: 825329
    embed: v2
  urls:
   - https://app.periscopedata.com/app/gitlab/825329/Editor-Extension-(VS-Code)-MAU-Metrics

- name: Create:Gitaly - Other - Availability
  base_path: "/handbook/product/performance-indicators/"
  definition: Percentage of time during which Gitaly is fully operational and providing
    service to users within SLO parameters. Availability is measured according by
    Apdex (latency) and error rate. Gitaly is considered available when at least 50%
    of users are experiencing satisfactory latency, and 50% of requests are completing
    successfully. If either of these conditions is not met, the service is experiencing
    an outage.
  target: 99.95%, consistent with GitLab.com availability service level objectives
  org: Dev Section
  section: dev
  stage: create
  group: gitaly
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 0
    reasons:
    - Instrumentation for this metric started in 13.4 and is still ongoing. Currently utilizing SaaS metrics via Grafana.
  implementation:
    status: Instrumentation
    reasons:
    - Rolling 7 day metrics available in [Grafana](https://dashboards.gitlab.net/d/gitaly-main/gitaly-overview)
      for GitLab.com. Current availability per Adpex is 99.98%.
    - Improvement - self-managed availability metrics are [planned](https://gitlab.com/gitlab-org/gitlab/-/issues/216683), but not currently in the backlog due to technical limitations.
  metric_name: gitaly_apdex
  urls:
  - https://dashboards.gitlab.net/d/gitaly-main/gitaly-overview
  - https://gitlab.com/gitlab-org/gitlab/-/issues/216683

- name: Create:Gitaly - Other - Unique instances with Gitaly Cluster enabled
  base_path: "/handbook/product/performance-indicators/"
  definition: Number of recorded GitLab instances with Gitaly Cluster enabled
  target: 50 Paid Customers using Gitaly Cluster
  org: Dev Section
  section: dev
  stage: create
  group: gitaly
  public: true
  pi_type: Other
  product_analytics_type: Self-Managed
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Target defined as 50 paid instances utilizing Gitaly Cluster
    - Paid usage continues to rise, especially in the Premium 
    - Seeing rising interest as NFS Support is deprecated in 14.0
    - Improvement - [Updated instructions for migration to Gitaly Cluster](https://docs.gitlab.com/ee/administration/gitaly/praefect.html#migrate-to-gitaly-cluster)
    - Improvement - introduce [Variable Replication Factor and auto-reblancing within a cluster](https://gitlab.com/groups/gitlab-org/-/epics/3372) to enable more enterprise-level adoption.
  implementation:
    status: Complete
    reasons:
    - Instrumentation for reporting on instances with Gitaly Cluster enabled was introduced in 13.0 with the GA of Gitaly Cluster.
  metric_name: gitaly_clusters
  sisense_data:
    chart: 9504807
    dashboard: 728407
    embed: v2
  urls:
  - https://dashboards.gitlab.net/d/gitaly-main/gitaly-overview

- name: Create:Editor - GMAU - Unique users committing via any web editor
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of the number of unique users who performed a Git write
    operation to any repository using the Web IDE, Web Editor or Snippet within a
    stage in the last 28 days
  target: 4% growth month over month for All 
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Insight - Healthy growth, particularly in self managed, likely due to adoption of versions containing analytics and organic growth.  
    - Improvement - The Web IDE was updated in 13.9 to use [Editor Lite](https://gitlab.com/gitlab-org/gitlab/-/issues/297449) which brings consistency to the underlying editors powering Snippets, Single-file Editor, and Web IDE as well as a [moderate performance improvement](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/51212#note_483338464). 
  implementation:
    status: Complete
    reasons:
    - Instrumentation of [Static Site Editor and Wiki to roll up into GMAU](https://gitlab.com/gitlab-org/gitlab/-/issues/283947) completed in 13.7, waiting for data to be reflected in the charts.
  metric_name: action_monthly_active_users_ide_edit 
  sisense_data:
    chart: 9967737
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9980340
    dashboard: 758607
    embed: v2 
  sisense_data_tertiary:
    chart: 10611073
    dashboard: 798616
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/741875/Create:Editor-xMAU

- name: Create:Editor - AMAU - Unique users committing by web editor
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of the number of unique users who performed a Git write
    operation to any respository using the Web IDE, Web Editor or Snippet within a
    stage in the last 28 days - users grouped by editor used
  target: TBD
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: AMAU
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - Insight - Editing through the Web Editor (single file editor) is 2-to-1 for users of the Web IDE though the gap is narrowing slightly over time. This confirms data recognized previously based on navigation paths that the single file editor is more widely used. We need to continue monitoring this to determine future investments in the Web IDE.
    - Note - Important to call out that these are not unique users, so the same user can be reported as using multiple web editors. 
  implementation:
    status: Completed [Dashboard](https://app.periscopedata.com/app/gitlab/741875/Create:Editor-xMAU)
    reasons:
    - Instrumentation is in place for both self-managed and SaaS.
    - Updating dashboards to for Paid / All breakouts
  metric_name: action_monthly_active_users_web_ide_edit, action_monthly_active_users_sfe_edit, action_monthly_active_users_snippet_editor_edit
  sisense_data:
    chart: 9788102
    dashboard: 741875
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/741875/Create:Editor-xMAU

- name: Create:Editor - Other - Number of Commits per Month from the Web IDE
  base_path: "/handbook/product/performance-indicators/"
  definition: The total number of commits made via the Web IDE.
  target: Maintain organic growth, 650K by end of Q1 2021
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Insight - [Investigation into the February](https://gitlab.com/gitlab-data/analytics/-/issues/8130) spike is ongoing but it doesn't seem to be explained entirely by the data incident with SaaS reporting in January/February.
    - Insight - Ignoring the February outlier, growth is still strong and we have exceeded our goal for Q1 2021.
  implementation:
    status: Complete
    reasons:
    - Instrumentation working and charts updated to include both self-managed and SaaS data.
    - Updating dashboard for Paid / All breakout.
  metric_name: web_ide_commits 
  sisense_data:
    chart: 9974797
    dashboard: 723366
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/723366/Create:Editor-Expanded-for-Embed

- name: Create:Editor - Other - Number of new Snippets per Month
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of new Snippets created each month.
  target: 4% Growth month-over-month to 82k Snippets per Month by Q2 2021
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Insight - Growth is back on track and we'll monitor it to make sure it doesn't drop again.
    - Insight - Self-Managed continues to account for about 8x the number of snippets. Investigation into the user behavior here is warranted but it's likely due to the nature of snippets visibility and permissions. Self-Managed users may be more comfortable creating snippets for their instance.
    - Improvements - In 13.10 we are increasing the visibility of the multi-file snippet feature by showing the count of files for each snippet in the list view.
    - Improvement - [snippets.gitlab.com](http://snippets.gitlab.com) now [redirects to your personal snippets page](https://gitlab.com/gitlab-org/gitlab/-/issues/27724) for easier access and improved visibility.
  implementation:
    status: Complete
    reasons:
    - Instrumentation for number of snippets is complete for self-managed and SaaS.
  metric_name: snippets_change
  sisense_data:
    chart: 9667259
    dashboard: 723366
    embed: v2
  urls:
  - https://gitlab.com/gitlab-data/analytics/-/issues/4400

- name: Create:Editor - AMAU - Unique users committing via the Static Site Editor
  base_path: "/handbook/product/performance-indicators/"
  definition: Monthly unique users that have made at least one commit via the static
    site editor.
  target: 150 AMAU by June 30, 2021
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: AMAU
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons: 
    - Insight - Decline in AMAU consistent with the deprioritization of feature development.
  implementation:
    status: Complete
    reasons:
    - Improvement - Instrumentation for [Usage Ping completed in 13.7](https://gitlab.com/gitlab-org/gitlab/-/issues/233994)
  metric_name: static_site_editor_create_commit
  sisensee_data:
    chart: 10039059
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9112733
    dashboard: 684213
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/684213/WIP-Static-Site-Editor-Usage-Metrics
  - https://about.gitlab.com/direction/create/static_site_editor/

- name: Create:Editor - AMAU - Uniques users of Wiki
  base_path: "/handbook/product/performance-indicators/"
  definition: Monthly unique users that have viewed or edited a wiki
  target: 10% higher than current month (SaaS and self-managed combined)
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: AMAU
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - No target defined
  implementation:
    status: Complete 
    reasons:
    - Improvement - Slightly lower growth month over month but that's consistent with the lack of feature work. We'll be monitoring it in the coming months to see if it starts to drop. 
    - Improvement - [Planning to slice the data](https://gitlab.com/gitlab-org/gitlab/-/issues/301213) to show how much group-level Wikis are contributing to growth. 
    - Insight - Wiki growth continues to be strong, stronger than anticipated actually. [We're investigating to make sure the data is accurate](https://gitlab.com/gitlab-org/gitlab/-/issues/323075).
    - Improvement - Beginning work on a [WYSIWYG/visual markdown editor for Wiki](https://gitlab.com/groups/gitlab-org/-/epics/5403), targeting a MVC available in 14.0.
  metric_name: action_monthly_active_users_wiki_repo
  sisense_data:
    chart: 9966770
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10039382
    dashboard: 758607
    embed: v2
  urls:
  - https://gitlab.com/gitlab-org/gitlab/-/issues/230481

- name: Create:Ecosystem - GMAU - MAU of any integration
  base_path: "/handbook/product/performance-indicators/"
  definition: Monthly Unique Users of any GitLab integration.
  target: TBD
  org: Dev Section
  section: dev
  stage: create
  group: ecosystem
  public: true
  pi_type: GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 0
    reasons:
    - No target defined
    - Improvement - Adding Group and Instance integration will allow larger sets of
      projects to be integrated easily
    - Improvement - Improvements and new functionality in the Jira integration should
      increase adoption, expanding on the success of our most popular integration
  implementation:
    status: Instrumentation
    reasons:
    - Awaiting implementation of data in Usage Ping
    - Improvement - (March 2021) Updates are in progress, GMAU tracking is implemented and data is starting to flow in, will be on the dashboard once updates complete
    - Awaiting implementation of Sisense dashboard (blocked by Usage Ping implementation)
  metric_name: TBD
  urls:
  - https://gitlab.com/groups/gitlab-org/-/epics/5181
  - https://gitlab.com/gitlab-org/gitlab/-/issues/297401
  - https://gitlab.com/gitlab-data/analytics/-/issues/7974
- name: Create:Ecosystem - Other - Total active project integrations
  base_path: "/handbook/product/performance-indicators/"
  definition: The total number of active project service integrations across all usage
    ping data (which includes GitLab.com)
  target: Maintain flat adoption rate relative to overall GitLab growth
  org: Dev Section
  section: dev
  stage: create
  group: ecosystem
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Observation - Growth tracks fairly evenly against overall usage growth (total
      number of projects created), demonstrating flat relative adoption rate of integrations
    - Observation - GitLab.com users integrate at ~1/3 the rate that self-managed users
      do
  implementation:
    status: Dashboard
    reasons:
    - Good overall tracking of project integrations, detailed breakdown available
      per-integration
    - Updating dashboards to for Paid / All breakouts
  metric_name: projects_asana_active, projects_assembla_active, projects_bamboo_active, projects_bugzilla_active, projects_buildkite_active, projects_campfire_active, projects_confluence_active, projects_custom_issue_tracker_active, projects_discord_active, projects_drone_ci_active, projects_emails_on_push_active, projects_external_wiki_active, projects_flowdock_active, projects_github_active, projects_gitlab_slack_application_active, projects_hangouts_chat_active, projects_hipchat_active, projects_irker_active, projects_jenkins_active, projects_jira_active, projects_jira_cloud_active, projects_jira_dvcs_cloud_active, projects_jira_dvcs_server_active, projects_jira_issuelist_active, projects_jira_server_active, projects_mattermost_active, projects_mattermost_slash_commands_active, projects_microsoft_teams_active, projects_packagist_active, projects_pipelines_email_active, projects_pivotaltracker_active, projects_prometheus_active, projects_pushover_active, projects_redmine_active, projects_slack_active, projects_slack_notifications_active, projects_slack_slash_active, projects_slack_slash_commands_active, projects_teamcity_active, projects_unify_circuit_active, projects_webex_teams_active
  sisense_data:
    chart: 8583744
    dashboard: 577690
    embed: v2
  urls: 
- name: Create:Ecosystem - Other - Integrations managed at Group or Instance level
  base_path: "/handbook/product/performance-indicators/"
  definition: The total number of active project integrations that are being defined
    by a Group or Instance integration
  target: Not defined
  org: Dev Section
  section: dev
  stage: create
  group: ecosystem
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - No data so far
  implementation:
    status: Dashboard
    reasons:
    - Improvement - (March 2021) Dashboard update in progress that will add this data to the dashboard.
  metric_name: TBD
  urls:
  - https://gitlab.com/gitlab-data/analytics/-/issues/7974
